IF OBJECT_ID('[Skole].[DimKarakteraarsag]','U') IS NOT NULL
BEGIN
IF NOT EXISTS (SELECT 'T' FROM [Skole].[DimKarakteraarsag] WHERE [DimKarakteraarsagID] = -1 )
  INSERT INTO [Skole].[DimKarakteraarsag]([DimKarakteraarsagID]) VALUES (-1)
UPDATE [Skole].[DimKarakteraarsag] SET
   [KarakteraarsagKode] = -1
	,[KarakteraarsagTekst] = 'Ukendt'
	,[FagsystemKarakteraarsagKode] = 'Ukendt'
	,[Produktionssystem] = 'Ukendt'
	,[SYS_KommuneId] = 999
   WHERE [DimKarakteraarsagID] = -1
END
GO
